Bug 1706265 - Update from 6.5 to 6.6 is broken due to dependency issue
Summary: Update from 6.5 to 6.6 is broken due to dependency issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-04 00:57 UTC by Nikhil Kathole
Modified: 2019-10-22 12:47 UTC (History)
1 user (show)

Fixed In Version: tfm-5.0-6, tfm-rubygem-foreman_docker-5.0.0-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Nikhil Kathole 2019-05-04 00:57:05 UTC
Description of problem:

Update from 6.5.0 snap 26 to 6.6.0 snap 1 is broken due to dependency issue

Package tfm-rubygem-fog-core.noarch 0:1.45.0-3.el7sat will be updated
 --> Processing Dependency: tfm-rubygem(fog-core) < 2 for package: tfm-rubygem-fog-digitalocean-0.3.0-3.el7sat.noarch
 --> Processing Dependency: tfm-rubygem(fog-core) < 2.0.0 for package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch
 ---> Package tfm-rubygem-fog-google.noarch 0:0.1.0-5.el7sat will be updated
 --> Processing Dependency: tfm-rubygem(fog-google) <= 0.1.0 for package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch
 ---> Package tfm-rubygem-memoist.noarch 0:0.16.0-1.el7sat will be installed
 ---> Package tfm-rubygem-os.noarch 0:1.0.0-1.el7sat will be installed
 ---> Package tfm-rubygem-promise.rb.noarch 0:0.7.4-1.el7sat will be installed
 ---> Package tfm-rubygem-typhoeus.noarch 0:1.3.1-1.el7sat will be installed
 --> Processing Dependency: tfm-rubygem(ethon) >= 0.9.0 for package: tfm-rubygem-typhoeus-1.3.1-1.el7sat.noarch
 ---> Package tfm-rubygem-uber.noarch 0:0.1.0-1.el7sat will be installed
 --> Running transaction check
 ---> Package foreman-compute.noarch 0:1.20.1.34-1.el7sat will be obsoleted
 --> Processing Dependency: foreman-compute >= 1.17.0 for package: tfm-rubygem-foreman_docker-4.1.0-2.el7sat.noarch
 ---> Package tfm-rubygem-ethon.noarch 0:0.12.0-1.el7sat will be installed
 ---> Package tfm-rubygem-fog-core.noarch 0:1.45.0-3.el7sat will be updated
 --> Processing Dependency: tfm-rubygem(fog-core) < 2 for package: tfm-rubygem-fog-digitalocean-0.3.0-3.el7sat.noarch
 --> Processing Dependency: tfm-rubygem(fog-core) < 2.0.0 for package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch
 ---> Package tfm-rubygem-fog-google.noarch 0:0.1.0-5.el7sat will be updated
 --> Processing Dependency: tfm-rubygem(fog-google) <= 0.1.0 for package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch

 --> Finished Dependency Resolution
 Error: Package: tfm-rubygem-fog-digitalocean-0.3.0-3.el7sat.noarch (@sat6)
            Requires: tfm-rubygem(fog-core) < 2
            Removing: tfm-rubygem-fog-core-1.45.0-3.el7sat.noarch (@sat6)
                tfm-rubygem(fog-core) = 1.45.0
            Updated By: tfm-rubygem-fog-core-2.1.0-1.el7sat.noarch (sat6)
                tfm-rubygem(fog-core) = 2.1.0
 Error: Package: tfm-rubygem-foreman_docker-4.1.0-2.el7sat.noarch (@sat6)
            Requires: foreman-compute >= 1.17.0
            Removing: foreman-compute-1.20.1.34-1.el7sat.noarch (@sat6)
                foreman-compute = 1.20.1.34-1.el7sat
            Obsoleted By: foreman-1.22.0-0.3.RC1.el7sat.noarch (sat6)
                Not found
 Error: Package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch (@sat6)
            Requires: tfm-rubygem(fog-core) < 2.0.0
            Removing: tfm-rubygem-fog-core-1.45.0-3.el7sat.noarch (@sat6)
                tfm-rubygem(fog-core) = 1.45.0
            Updated By: tfm-rubygem-fog-core-2.1.0-1.el7sat.noarch (sat6)
                tfm-rubygem(fog-core) = 2.1.0
 Error: Package: tfm-rubygem-fog-1.42.1-2.el7sat.noarch (@sat6)
            Requires: tfm-rubygem(fog-google) <= 0.1.0
            Removing: tfm-rubygem-fog-google-0.1.0-5.el7sat.noarch (@sat6)
                tfm-rubygem(fog-google) = 0.1.0
            Updated By: tfm-rubygem-fog-google-1.8.2-1.el7sat.noarch (sat6)
                tfm-rubygem(fog-google) = 1.8.2

Version-Release number of selected component (if applicable):
Satellite 6.6.0 snap 1


How reproducible: always


Steps to Reproduce:
1. Install 6.5 snap 26
2. enable 6.6 repos
3. yum update

Actual results:
Failed due to dependency. 


Expected results:
Successful yum update.


Additional info:

Comment 3 Nikhil Kathole 2019-05-30 10:41:53 UTC
VERIFIED

Version tested:
Satellite 6.6 snap 4

Installed:
  foreman.noarch 0:1.22.0-0.5.RC2.1.el7sat                           foreman-installer-katello.noarch 1:1.22.0-0.4.RC1.el7sat                     
  python2-anyjson.noarch 0:0.3.3-11.el7sat                           python2-crane.noarch 0:3.3.1-9.el7sat                                        
  python2-flask.noarch 1:0.12.2-4.el7sat                             python2-gobject.x86_64 0:3.28.3-2.el7sat                                     
  python2-gobject-base.x86_64 0:3.28.3-2.el7sat                      python2-isodate.noarch 0:0.5.4-12.el7sat                                     
  python2-itsdangerous.noarch 0:0.24-15.el7sat                       python2-jinja2.noarch 0:2.10-10.el7sat                                       
  python2-markupsafe.x86_64 0:0.23-21.el7sat                         python2-nectar.noarch 0:1.5.6-5.el7sat                                       
  python2-pycurl.x86_64 0:7.43.0.2-4.el7sat                          python2-werkzeug.noarch 0:0.12.2-5.el7sat                                    
  satellite-common.noarch 0:6.6.0-5.beta.el7sat                      tfm-rubygem-katello.noarch 0:3.12.0.rc2-11.master.el7sat                     
  tfm-runtime.x86_64 0:5.0-7.el7sat                                 

Dependency Installed:
  ansiblerole-foreman_scap_client.noarch 0:0.0.2-1.el7sat                    python2-click.noarch 0:6.7-9.el7sat                                  
  rubygem-net-ssh.noarch 0:4.2.0-1.el7sat                                    tfm-rubygem-declarative.noarch 0:0.0.10-1.el7sat                     
  tfm-rubygem-declarative-option.noarch 0:0.1.0-1.el7sat                     tfm-rubygem-ethon.noarch 0:0.12.0-1.el7sat                           
  tfm-rubygem-ffi.x86_64 0:1.4.0-12.el7sat                                   tfm-rubygem-googleauth.noarch 0:0.6.7-1.el7sat                       
  tfm-rubygem-graphql.noarch 0:1.8.14-1.el7sat                               tfm-rubygem-graphql-batch.noarch 0:0.3.10-1.el7sat                   
  tfm-rubygem-httpclient.noarch 0:2.8.3-1.el7sat                             tfm-rubygem-memoist.noarch 0:0.16.0-1.el7sat                         
  tfm-rubygem-optimist.noarch 0:3.0.0-1.el7sat                               tfm-rubygem-os.noarch 0:1.0.0-1.el7sat                               
  tfm-rubygem-promise.rb.noarch 0:0.7.4-1.el7sat                             tfm-rubygem-public_suffix.noarch 0:3.0.3-1.el7sat                    
  tfm-rubygem-rack-cors.noarch 0:1.0.2-1.el7sat                              tfm-rubygem-representable.noarch 0:3.0.4-1.el7sat                    
  tfm-rubygem-typhoeus.noarch 0:1.3.1-1.el7sat                               tfm-rubygem-uber.noarch 0:0.1.0-1.el7sat                             
  tfm-rubygem-zest.noarch 0:0.0.4-1.el7sat                                  

Updated:
  ansiblerole-insights-client.noarch 0:1.6-2.el7sat                                                                                               
  candlepin.noarch 0:2.6.6-1.el7sat                                                                                                               
  candlepin-selinux.noarch 0:2.6.6-1.el7sat                                                                                                       
  foreman-bootloaders-redhat.noarch 0:201901011200-1.el7sat                                                                                       
  foreman-bootloaders-redhat-tftpboot.noarch 0:201901011200-1.el7sat                                                                              
  foreman-cli.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                    
  foreman-debug.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                  
  foreman-ec2.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                    
  foreman-gce.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                    
  foreman-installer.noarch 1:1.22.0-0.4.RC1.el7sat                                                                                                
  foreman-libvirt.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                
  foreman-openstack.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                              
  foreman-ovirt.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                  
  foreman-postgresql.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                             
  foreman-proxy.noarch 0:1.22.0-0.2.RC1.el7sat                                                                                                    
  foreman-rackspace.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                              
  foreman-selinux.noarch 0:1.22.0-0.4.RC1.el7sat                                                                                                  
  foreman-vmware.noarch 0:1.22.0-0.5.RC2.1.el7sat                                                                                                 
  katello.noarch 0:3.12.0-0.5.master.el7sat                                                                                                       
  katello-certs-tools.noarch 0:2.5.3-1.el7sat                                                                                                     
  katello-client-bootstrap.noarch 0:1.7.2-2.el7sat                                                                                                
  katello-common.noarch 0:3.12.0-0.5.master.el7sat                                                                                                
  katello-debug.noarch 0:3.12.0-0.5.master.el7sat                                                                                                 
  katello-selinux.noarch 0:3.1.1-2.el7sat                                                                                                         
  katello-service.noarch 0:3.12.0-0.5.master.el7sat                                                                                               
  libsolv.x86_64 0:0.6.34-3.pulp.el7sat                                                                                                           
  mod_xsendfile.x86_64 0:0.12-11.el7sat                                                                                                           
  pulp-docker-plugins.noarch 0:3.2.3-4.el7sat                                                                                                     
  pulp-katello.noarch 0:1.0.2-6.el7sat                                                                                                            
  pulp-maintenance.noarch 0:2.19.0-14.el7sat                                                                                                      
  pulp-ostree-plugins.noarch 0:1.4.0-4.el7sat                                                                                                     
  pulp-puppet-plugins.noarch 0:2.19.0-4.el7sat                                                                                                    
  pulp-puppet-tools.noarch 0:2.19.0-4.el7sat                                                                                                      
  pulp-rpm-plugins.noarch 0:2.19.0-8.el7sat                                                                                                       
  pulp-selinux.noarch 0:2.19.0-14.el7sat                                                                                                          
  pulp-server.noarch 0:2.19.0-14.el7sat                                                                                                           
  puppet-foreman_scap_client.noarch 0:0.3.19-2.el7sat                                                                                             
  puppetlabs-stdlib.noarch 0:4.25.1-2.el7sat                                                                                                      
  puppetserver.noarch 0:5.3.8-1.el7sat                                                                                                            
  pycairo.x86_64 0:1.16.3-9.el7sat                                                                                                                
  python-gofer.noarch 0:2.12.5-5.el7sat                                                                                                           
  python-gofer-qpid.noarch 0:2.12.5-5.el7sat                                                                                                      
  python-pulp-common.noarch 0:2.19.0-14.el7sat                                                                                                    
  python-pulp-docker-common.noarch 0:3.2.3-4.el7sat                                                                                               
  python-pulp-integrity.noarch 0:2.19.0-8.el7sat                                                                                                  
  python-pulp-oid_validation.noarch 0:2.19.0-14.el7sat                                                                                            
  python-pulp-ostree-common.noarch 0:1.4.0-4.el7sat                                                                                               
  python-pulp-puppet-common.noarch 0:2.19.0-4.el7sat                                                                                              
  python-pulp-repoauth.noarch 0:2.19.0-14.el7sat                                                                                                  
  python-pulp-rpm-common.noarch 0:2.19.0-8.el7sat                                                                                                 
  python-pulp-streamer.noarch 0:2.19.0-14.el7sat                                                                                                  
  python2-amqp.noarch 0:2.2.2-5.el7sat                                                                                                            
  python2-celery.noarch 0:4.0.2-9.el7sat                                                                                                          
  python2-kombu.noarch 10:4.0.2-13.el7sat                                                                                                         
  python2-solv.x86_64 0:0.6.34-3.pulp.el7sat                                                                                                      
  python2-vine.noarch 10:1.1.3-6.el7sat                                                                                                           
  redhat-access-insights-puppet.noarch 0:0.0.9-4.el7sat                                                                                           
  repoview.noarch 0:0.6.6-11.el7sat                                                                                                               
  rubygem-concurrent-ruby.noarch 1:1.1.4-2.el7sat                                                                                                 
  rubygem-kafo.noarch 0:3.0.0-1.el7sat                                                                                                            
  rubygem-kafo_parsers.noarch 0:1.0.0-1.el7sat                                                                                                    
  rubygem-openscap.noarch 0:0.4.7-4.el7sat                                                                                                        
  rubygem-powerbar.noarch 0:2.0.1-2.el7sat                                                                                                        
  rubygem-rb-inotify.noarch 0:0.9.7-5.el7sat                                                                                                      
  rubygem-rkerberos.x86_64 0:0.1.5-15.el7sat                                                                                                      
  rubygem-rsec.noarch 0:0.4.3-1.el7sat                                                                                                            
  rubygem-rubyipmi.noarch 0:0.10.0-3.el7sat                                                                                                       
  rubygem-smart_proxy_ansible.noarch 0:2.1.1-2.el7sat                                                                                             
  rubygem-smart_proxy_discovery.noarch 0:1.0.5-1.el7sat                                                                                           
  rubygem-smart_proxy_dynflow.noarch 0:0.2.2-2.el7sat                                                                                             
  rubygem-smart_proxy_openscap.noarch 0:0.7.2-1.el7sat                                                                                            
  rubygem-smart_proxy_pulp.noarch 0:1.4.1-1.el7sat                                                                                                
  rubygem-smart_proxy_remote_execution_ssh.noarch 0:0.2.1-2.el7sat                                                                                
  satellite.noarch 0:6.6.0-5.beta.el7sat                                                                                                          
  satellite-cli.noarch 0:6.6.0-5.beta.el7sat                                                                                                      
  satellite-installer.noarch 0:6.6.0.7-1.beta.el7sat                                                                                              
  tfm-ror52-rubygem-concurrent-ruby.noarch 0:1.1.4-1.el7sat                                                                                       
  tfm-ror52-rubygem-i18n.noarch 0:1.4.0-1.el7sat                                                                                                  
  tfm-ror52-rubygem-rack.noarch 0:2.0.6-1.el7sat                                                                                                  
  tfm-rubygem-activerecord-import.noarch 0:1.0.0-4.el7sat                                                                                         
  tfm-rubygem-addressable.noarch 0:2.6.0-1.el7sat                                                                                                 
  tfm-rubygem-clamp.noarch 0:1.1.2-5.el7sat                                                                                                       
  tfm-rubygem-concurrent-ruby-edge.noarch 1:0.4.1-1.el7sat                                                                                        
  tfm-rubygem-dynflow.noarch 0:1.2.3-1.el7sat                                                                                                     
  tfm-rubygem-faraday.noarch 0:0.15.4-1.el7sat                                                                                                    
  tfm-rubygem-fog-aws.noarch 0:3.5.0-1.el7sat                                                                                                     
  tfm-rubygem-fog-core.noarch 0:2.1.0-1.el7sat                                                                                                    
  tfm-rubygem-fog-google.noarch 0:1.8.2-1.el7sat                                                                                                  
  tfm-rubygem-fog-json.noarch 0:1.2.0-1.el7sat                                                                                                    
  tfm-rubygem-fog-libvirt.noarch 0:0.6.0-1.el7sat                                                                                                 
  tfm-rubygem-fog-openstack.noarch 0:1.0.8-2.el7sat                                                                                               
  tfm-rubygem-fog-ovirt.noarch 0:1.1.5-1.el7sat                                                                                                   
  tfm-rubygem-fog-vsphere.noarch 0:3.0.0-2.el7sat                                                                                                 
  tfm-rubygem-foreman-tasks.noarch 0:0.15.0-2.el7sat                                                                                              
  tfm-rubygem-foreman-tasks-core.noarch 0:0.3.0-1.el7sat                                                                                          
  tfm-rubygem-foreman_ansible.noarch 0:3.0.2-1.el7sat                                                                                             
  tfm-rubygem-foreman_ansible_core.noarch 0:2.2.1-1.el7sat                                                                                        
  tfm-rubygem-foreman_bootdisk.noarch 0:15.0.0-1.el7sat                                                                                           
  tfm-rubygem-foreman_discovery.noarch 0:15.0.0-1.el7sat                                                                                          
  tfm-rubygem-foreman_docker.noarch 0:5.0.0-2.el7sat                                                                                              
  tfm-rubygem-foreman_openscap.noarch 0:0.12.3-1.el7sat                                                                                           
  tfm-rubygem-foreman_remote_execution.noarch 0:1.7.0-13.el7sat                                                                                   
  tfm-rubygem-foreman_remote_execution_core.noarch 0:1.1.5-1.el7sat                                                                               
  tfm-rubygem-foreman_theme_satellite.noarch 0:4.0.1.1-1.el7sat                                                                                   
  tfm-rubygem-foreman_virt_who_configure.noarch 0:0.4.0-1.el7sat                                                                                  
  tfm-rubygem-gettext_i18n_rails.noarch 0:1.8.0-1.el7sat                                                                                          
  tfm-rubygem-git.noarch 0:1.5.0-1.el7sat                                                                                                         
  tfm-rubygem-google-api-client.noarch 0:0.23.9-1.el7sat                                                                                          
  tfm-rubygem-hammer_cli.noarch 0:0.17.1-1.el7sat                                                                                                 
  tfm-rubygem-hammer_cli_foreman.noarch 0:0.17.0-1.el7sat                                                                                         
  tfm-rubygem-hammer_cli_foreman_ansible.noarch 0:0.3.0-2.el7sat                                                                                  
  tfm-rubygem-hammer_cli_foreman_discovery.noarch 0:1.0.0-4.el7sat                                                                                
  tfm-rubygem-hammer_cli_foreman_openscap.noarch 0:0.1.7-2.el7sat                                                                                 
  tfm-rubygem-hammer_cli_foreman_remote_execution.noarch 0:0.1.0-3.el7sat                                                                         
  tfm-rubygem-hammer_cli_foreman_tasks.noarch 0:0.0.13-2.el7sat                                                                                   
  tfm-rubygem-hammer_cli_foreman_templates.noarch 0:0.1.2-2.el7sat                                                                                
  tfm-rubygem-hammer_cli_foreman_virt_who_configure.noarch 0:0.0.3-4.el7sat                                                                       
  tfm-rubygem-hammer_cli_katello.noarch 0:0.18-0.1.pre.master.20190409164726git3dfc323.el7sat                                                     
  tfm-rubygem-jwt.noarch 0:2.1.0-2.el7sat                                                                                                         
  tfm-rubygem-little-plugger.noarch 0:1.1.3-24.el7sat                                                                                             
  tfm-rubygem-multipart-post.noarch 0:2.0.0-1.el7sat                                                                                              
  tfm-rubygem-net-ssh.noarch 0:4.2.0-1.el7sat                                                                                                     
  tfm-rubygem-powerbar.noarch 0:2.0.1-2.el7sat                                                                                                    
  tfm-rubygem-rbvmomi.noarch 0:2.0.1-1.el7sat                                                                                                     
  tfm-rubygem-redhat_access.noarch 0:2.2.6-1.el7sat                                                                                               
  tfm-rubygem-rest-client.noarch 0:2.0.1-4.el7sat                                                                                                 
  tfm-rubygem-retriable.noarch 0:3.1.2-1.el7sat                                                                                                   
  tfm-rubygem-roadie.noarch 0:3.4.0-1.el7sat                                                                                                      
  tfm-rubygem-roadie-rails.noarch 0:2.0.0-1.el7sat                                                                                                
  tfm-rubygem-scoped_search.noarch 0:4.1.7-1.el7sat                                                                                               
  tfm-rubygem-signet.noarch 0:0.11.0-1.el7sat                                                                                                     
  tfm-rubygem-smart_proxy_dynflow_core.noarch 0:0.2.2-1.el7sat                                                                                    

Replaced:
  foreman-compute.noarch 0:1.20.1.34-1.el7sat                           katello-installer-base.noarch 0:3.10.0.7-1.el7sat                         
  python-anyjson.noarch 0:0.3.3-5.el7sat                                python-crane.noarch 0:3.3.0-0.1.rc.el7sat                                 
  python-flask.noarch 1:0.10.1-4.el7sat                                 python-gobject.x86_64 0:3.22.0-1.el7_4.1                                  
  python-gobject-base.x86_64 0:3.22.0-1.el7_4.1                         python-isodate.noarch 0:0.5.0-5.pulp.el7sat                               
  python-itsdangerous.noarch 0:0.23-1.el7sat                            python-jinja2.noarch 0:2.7.2-3.el7_6                                      
  python-markupsafe.x86_64 0:0.11-10.el7                                python-nectar.noarch 0:1.5.6-1.el7sat                                     
  python-pycurl.x86_64 0:7.19.0-19.el7                                  python-werkzeug.noarch 0:0.9.1-1.el7sat                                   
  tfm-rubygem-autoparse.noarch 0:0.3.3-10.el7sat                        tfm-rubygem-bastion.noarch 0:6.1.23-1.el7sat                              
  tfm-rubygem-docker-api.noarch 0:1.28.0-4.el7sat                       tfm-rubygem-extlib.noarch 0:0.9.16-6.el7sat                               
  tfm-rubygem-fog.noarch 0:1.42.1-2.el7sat                              tfm-rubygem-fog-digitalocean.noarch 0:0.3.0-3.el7sat                      
  tfm-rubygem-launchy.noarch 0:2.4.3-6.el7sat

Comment 5 errata-xmlrpc 2019-10-22 12:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.